/*jslint white: true, undef: true, eqeqeq: true, bitwise: true, regexp: true, newcap: true, immed: true */

"use strict";

// Standard attributes 
this.name           = "TeaMakerScript.js"; 
this.author         = "Smivs"; 
this.copyright      = "This script is hereby placed in the public domain."; 
this.version        = "1.1"; 
this.description    = "Script to activate tea-maker."; 


this.activated = function()
{ 
  if(missionVariables.teaRefill === "RUN_OUT")
    {
      player.consoleMessage("Tea Maker un-available - Please re-supply.",5);
      return;
    }
  if(missionVariables.teaRefill === "OK")
    {  
      this.boilWaterTimer = new Timer(this, this.$boilWater,1); // timer to boil water
      this.brewTeaTimer = new Timer(this, this.$brewTea,8); // timer to brew tea after 8 seconds
      this.teaReadyTimer = new Timer(this, this.$teaReady,15); // timer to confirm tea is ready
//Counter to trigger refill...
// we count the 'T-Pods' used
   if (!missionVariables.teaRefillCounter)
	{
	  missionVariables.teaRefillCounter = 1;
	}
      else
	{
	  missionVariables.teaRefillCounter++;
	}			
// ...until we reach 25.
      if (missionVariables.teaRefillCounter === 25)
	{
// Then require more 'T-Pods, disable Tea Maker, add T-Pods to F3 screen and reset counter.
        player.consoleMessage("This cup uses your last 'T-Pod' - you must buy some more.",5);
	EquipmentInfo.infoForKey("EQ_TEA_REFILL_1").effectiveTechLevel = 0;
	EquipmentInfo.infoForKey("EQ_TEA_REFILL_2").effectiveTechLevel = 0;
	EquipmentInfo.infoForKey("EQ_TEA_REFILL_3").effectiveTechLevel = 0;
	EquipmentInfo.infoForKey("EQ_TEA_REFILL_4").effectiveTechLevel = 0;
        missionVariables.teaRefill = "RUN_OUT";
	missionVariables.teaRefillCounter = 0;
	}
    }
}
this.$boilWater = function()
{
			this.boilSound = new SoundSource; 
			this.boilSound.sound = "boiling.ogg";
			this.boilSound.loop = false;
			this.boilSound.play();
  player.consoleMessage("The water is boiling...",5);
}
this.$brewTea = function()
{
			this.boilSound.stop();
			this.brewSound = new SoundSource; 
			this.brewSound.sound = "brewing.ogg";
			this.brewSound.loop = false;
			this.brewSound.play();
  player.consoleMessage("Your tea is now brewing...",5);
}	
this.$teaReady = function()
{
			this.brewSound.stop();
			this.teaSound = new SoundSource; 
			this.teaSound.sound = "teaSound.ogg";
			this.teaSound.loop = false;
			this.teaSound.play();
  player.consoleMessage("Your tea is now ready. Enjoy.",6);
};


	


